LSCSS(8)

NAME
lscss - list channel subsystem devices.

SYNOPSIS

lscss <options> [RANGE]

DESCRIPTION
The lscss command is used to list all or a subset of devices that are managed by the common I/O subsystem.

[RANGE]
Limit output to a range of subchannels by specifying multiple identifiers as a comma-separated list or a range or a combination of both, e.g.
    0.0.1234-0.0.1235,4711 Note that ranges may also be separated by spaces.

OPTIONS

-s|--short
    Shorten IDs by removing leading "0.0.". Note: only IDs beginning with "0.0." will be displayed in this case.

-t|--devtype <devtype>[/<model>][,...]
    For IO subchannels, limit output to devices of the given device type (e.g. 3390).

-d|--devrange
    Indicate that RANGE refers to device identifiers.

--avail
    Show availability attribute of IO devices.

--vpm
    Show verified path mask. VPM is an internal path mask used by Linux. A channel path can be used by Linux device drivers to do IO if the corresponding bit is set in the VPM. Events that can lead to a channel path not being available include:

    •   The corresponding bit is not set in at least one of the PIM, PAM, or POM masks.

    •   The channel path is varied offline.

    •   Linux received no interrupt to IO using this channel path.

-v|--version
    Print the version of the s390-tools package and the command.

-h|--help
    Print help text.

-u|--uppercase
    Print values using uppercase.

--io
    Show IO subchannels. (default)

--chsc
    Show CHSC subchannels.

--eadm
    Show EADM subchannels.

--vfio
    Show additional information for I/O subchannels used for VFIO. An MDEV is a mediated device that is required to be created by the VFIO channel I/O device driver for the VFIO driver framework as the pass-through target device when doing channel I/O pass-through.

-a|--all
    Show subchannels of all types.

EXAMPLES
lscss
    List all devices that are managed by the common I/O subsystem.
lscss -t 3390
    Same as above but shows only 3390 devices.

NOTES
In rare situations a device might temporarily not be accessible to the subchannel. Then "none" is displayed as the device identifier and the other device attributes are empty. For subchannels bound to an alternate driver (most notably vfio_ccw) the device identifier may also be displayed as "none". In this case use the --vfio option to show VFIO specific subchannel information.

AUTHOR
This man-page was written by Stefan Bader <shbader@de.ibm.com>.
New options added by Sebastian Ott <sebott@linux.ibm.com>.

SEE ALSO
chccwdev(8)